<?php
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();
session_cache_limiter('private');
$cache_limiter 	= session_cache_limiter();
session_cache_expire(60);
$cache_expire 	= session_cache_expire(); 
date_default_timezone_set('Asia/Manila'); 
$CURRENT_DATE 	= date('Y-m-d H:i:s');
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload	=	new autoloadClass();
$mecon		=	new condbClass();
//$project 	=	isset($_GET['project_name'])	?	str_replace("_"," ",trim(strip_tags($_GET['project_name'])))	:	"";
$main		=	array();
//$mecon->query("SELECT Id, Model, Project, PricelistTemplate, DefaultRequiredGrossIncome,DefaultPricelistRemarks, ReservationFee, DefaultSellingPrice, DefaultLoanablePrice, DefaultStatus, IsDefault FROM model WHERE Status = :status AND Project=:project  ORDER BY Project");
//$mecon->query("SELECT Id, Model, Project, PricelistTemplate, DefaultRequiredGrossIncome,DefaultPricelistRemarks, ReservationFee, DefaultSellingPrice, DefaultLoanablePrice, DefaultStatus, IsDefault FROM model WHERE Status = :status ORDER BY Model");
//$mecon->bind(':status', 'active');
//$mecon->bind(':project', $project);
//$main = $mecon->resultset();
//print_r(json_encode($main));



$mecon->query("SELECT Id, Model, Project, PricelistTemplate, DefaultRequiredGrossIncome,DefaultPricelistRemarks, ReservationFee, DefaultSellingPrice, DefaultLoanablePrice, DefaultStatus, IsDefault FROM model WHERE Status = :status  ");
$mecon->bind(':status', 'active'); 
$main = $mecon->resultset(); 
$counter = count($main); 
$arr1 = array(); 
$arr2 = array(); 
$arr3 = array(); 
for($a=0; $a<$counter; $a++){ 
		$arr1['id']			= $main[$a]['Id'];
		$arr1['model']		=  trim(stripslashes(html_entity_decode($main[$a]['Model']))); 
	$arr2[] = $arr1;
}
$arr3['data'] = $arr2;
echo json_encode($arr3); 
exit();
ob_end_flush();